using System.Collections.Generic;

namespace LeafWeb.Core.Remote
{
	public interface IPiscalClient
	{
		void RunLeafInputFile(PiscalLeafInputFile file);
		PiscalStatus GetLeafInputFileStatus(PiscalLeafInputFile file);
		IEnumerable<PiscalLeafOutputFile> RetrieveLeafOutput(PiscalLeafInputFile file);
		void CleanupLeafProcess(PiscalLeafInputFile file);
	}
}
